<div class="page-wrapper">

  <div class="page-header d-print-none">
    <div class="container-xl">
      <div class="row g-2 align-items-center">
        <div class="col">
          <div class="page-pretitle">
            Visão geral
          </div>
          <h2 class="page-title">
           Produtos
          </h2>
        </div>
        <div class="col-auto ms-auto d-print-none">
          <div class="btn-list">
            <a routerLink="/add-product" class="btn btn-primary d-none d-sm-inline-block" data-bs-toggle="modal" data-bs-target="#modal-report">
              <svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"></path><path d="M12 5l0 14"></path><path d="M5 12l14 0"></path></svg>
              Novo Produto
            </a>
          </div>
        </div>
      </div>
    </div>
  </div>
  <br>


  <div class="col-12">
    <div class="card">
      <div class="card-header">
        <h3 class="card-title">Produtos Cadastrados</h3>
      </div>
      <div class="card-body border-bottom py-3">
        <div class="d-flex">
          <div class="text-muted">
            Mostrar
            <div class="mx-2 d-inline-block">
              <input type="text" class="form-control form-control-sm" value="8" size="3" aria-label="Invoices count">
            </div>
            entradas
          </div>
          <div class="ms-auto text-muted">
            Procurar:
            <div class="ms-2 d-inline-block">
              <input type="text" class="form-control form-control-sm" aria-label="Search invoice">
            </div>
          </div>
        </div>
      </div>
      <div class="table-responsive">
        <table class="table card-table table-vcenter text-nowrap datatable">
          <thead>
            <tr >
              <th class="w-1"><input class="form-check-input m-0 align-middle" type="checkbox"
                  aria-label="Select all invoices"></th>
              <th class="w-1">#</th>
              <th>Nome</th>
              <th>Descrição</th>
              <th>Valor</th>
              <th>Quant.</th>
              <th>Status</th>
              <th></th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let produto of produtos">
              <td><input class="form-check-input m-0 align-middle" type="checkbox" aria-label="Select invoice"></td>
              <td><span class="text-muted">{{ produto.id }}</span></td>
              <td>{{ produto.name }}</td>
              <td>
                <span class="flag flag-country-us"></span>
                {{ produto.description }}
              </td>
              <td>
                R${{ produto.price }}
              </td>
              <td>
                <span class="badge bg-success me-1"></span> {{ produto.quant }}
              </td>
              <td>{{ produto.status }}</td>
              <td class="text-end">
                <span class="dropdown">
                  <button class="btn dropdown-toggle align-text-top" data-bs-boundary="viewport"
                    data-bs-toggle="dropdown">Actions</button>
                  <div class="dropdown-menu dropdown-menu-end">
                    <a class="dropdown-item" href="#">
                      Action
                    </a>
                    <a class="dropdown-item" href="#">
                      Another action
                    </a>
                  </div>
                </span>
              </td>
            </tr>
    
          </tbody>
        </table>
      </div>
      <div class="card-footer d-flex align-items-center">
        <p class="m-0 text-muted">Mostrando <span>1</span> para <span>1</span> entradas</p>
        <ul class="pagination m-0 ms-auto">
          <li class="page-item disabled">
            <a class="page-link" href="#" tabindex="-1" aria-disabled="true">
              <svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24"
                stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
                <path stroke="none" d="M0 0h24v24H0z" fill="none"></path>
                <path d="M15 6l-6 6l6 6"></path>
              </svg>
              anterior
            </a>
          </li>
          <li class="page-item active"><a class="page-link">1</a></li>
          <li class="page-item disabled"><a class="page-link">2</a></li>
          <li class="page-item disabled"><a class="page-link">3</a></li>
          <li class="page-item">
            <a class="page-link disabled" href="#">
              próximo 
              <svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24"
                stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
                <path stroke="none" d="M0 0h24v24H0z" fill="none"></path>
                <path d="M9 6l6 6l-6 6"></path>
              </svg>
            </a>
          </li>
        </ul>
      </div>
    </div>
  </div>
</div>
